package org.jboss.test.prj1;

import java.util.Hashtable;

import javax.annotation.PostConstruct;

import javax.ejb.Singleton;
import javax.ejb.Startup;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Singleton
@Startup
public class BeanB
{
    @PersistenceContext
    private EntityManager entityManager;

    @PostConstruct
    public void test()
    {
        Entity2 entity1 = new Entity2();
        entityManager.persist(entity1);

        try
        {
            Hashtable<String, Object> props = new Hashtable<String, Object>();
            props.put(Context.URL_PKG_PREFIXES, "org.jboss.ejb.client.naming");
            InitialContext ctx = new InitialContext(props);
            IBeanA beanA = (IBeanA) ctx
                .lookup("ejb:prj1/prj1-ejb-0.0.1-SNAPSHOT/BeanA!"
                    + IBeanA.class.getName());
            beanA.test();
        }
        catch (NamingException e)
        {
            throw new RuntimeException(e);
        }

        Entity2 entity2 = new Entity2();
        entityManager.persist(entity2);
    }
}
